Bug 17679 - rpm 3.0.5 update fails because of missing requirement
rpm 3.0.5 update fails because of missing requirement
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-19 07:05 EDT by Daniel Roesen
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-03 13:28:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Roesen 2000-09-19 07:05:31 EDT
# rpm -Fvh rpm-*
error: failed dependencies:
        bzip2 >= 0.9.0c-2 is needed by rpm-3.0.5-9.6x
        libbz2.so.0 is needed by rpm-3.0.5-9.6x
# rpm -q bzip2
bzip2-0.9.0c-1
Comment 1 Jeff Johnson 2000-10-03 13:18:37 EDT
You will need to install the bzip2 package from the Red Hat 6.2 distribution.
Comment 2 Daniel Roesen 2000-10-03 13:28:38 EDT
Not mentioning that requirement in the Errata Advisory and not providing this
update on updates.redhat.com/6.0 is IMHO still a bug. People are usually _not_
meant to install RPMs from other releases as it's not always safe to do so.

Possible solutions:
1) update the errata note to include the bzip2 requirement and download location
2) publish explicit bzip2 update for RH 6.0

Reopening bug.
Comment 3 Jeff Johnson 2000-10-10 17:26:40 EDT
Red Hat does not currently release errata for enhancements like bzip2 on Red Hat
6.0
and Red Hat 6.1. 

Install the bzip2 package from Red Hat 6.2.

Note You need to log in before you can comment on or make changes to this bug.